from pkgcheck import addons, base, feeds, reporters
from pkgcheck.checks import acct, cleanup, codingstyle, deprecated, dropped_keywords, git, glsa, imlate, metadata, metadata_xml, overlays, pkgdir, profiles, python, repo, repo_metadata, stablereq, unstable_only, visibility, whitespace
KEYWORDS = (('AbsoluteSymlink', codingstyle.AbsoluteSymlink), ('ArchesWithoutProfiles', profiles.ArchesWithoutProfiles), ('BadDescription', metadata.BadDescription), ('BadFilename', metadata.BadFilename), ('BadHomepage', metadata.BadHomepage), ('BadInsIntoDir', codingstyle.BadInsIntoDir), ('BadPackageUpdate', repo_metadata.BadPackageUpdate), ('BadProfileEntry', profiles.BadProfileEntry), ('BadProtocol', metadata.BadProtocol), ('BadRestricts', metadata.BadRestricts), ('BannedEAPI', metadata.BannedEAPI), ('BinaryFile', repo.BinaryFile), ('CatBadlyFormedXml', metadata_xml.CatBadlyFormedXml), ('CatInvalidXml', metadata_xml.CatInvalidXml), ('CatMetadataXmlEmptyElement', metadata_xml.CatMetadataXmlEmptyElement), ('CatMetadataXmlIndentation', metadata_xml.CatMetadataXmlIndentation), ('CatMetadataXmlInvalidCatRef', metadata_xml.CatMetadataXmlInvalidCatRef), ('CatMetadataXmlInvalidPkgRef', metadata_xml.CatMetadataXmlInvalidPkgRef), ('CatMissingMetadataXml', metadata_xml.CatMissingMetadataXml), ('ConflictingAccountIdentifiers', acct.ConflictingAccountIdentifiers), ('ConflictingChksums', repo_metadata.ConflictingChksums), ('DeprecatedChksum', repo_metadata.DeprecatedChksum), ('DeprecatedEAPI', metadata.DeprecatedEAPI), ('DeprecatedEclass', deprecated.DeprecatedEclass), ('DirectNoMaintainer', git.DirectNoMaintainer), ('DirectStableKeywords', git.DirectStableKeywords), ('DoubleEmptyLine', whitespace.DoubleEmptyLine), ('DoublePrefixInPath', codingstyle.DoublePrefixInPath), ('DroppedKeywords', dropped_keywords.DroppedKeywords), ('DroppedStableKeywords', git.DroppedStableKeywords), ('DroppedUnstableKeywords', git.DroppedUnstableKeywords), ('DuplicateFiles', pkgdir.DuplicateFiles), ('DuplicateKeywords', metadata.DuplicateKeywords), ('EmptyFile', pkgdir.EmptyFile), ('EmptyMaintainer', metadata_xml.EmptyMaintainer), ('EqualVersions', pkgdir.EqualVersions), ('ExecutableFile', pkgdir.ExecutableFile), ('Glep31Violation', pkgdir.Glep31Violation), ('HomepageInSrcUri', codingstyle.HomepageInSrcUri), ('HttpsAvailable', codingstyle.HttpsAvailable), ('InvalidCopyright', codingstyle.InvalidCopyright), ('InvalidKeywords', metadata.InvalidKeywords), ('InvalidPN', pkgdir.InvalidPN), ('InvalidUTF8', pkgdir.InvalidUTF8), ('LaggingProfileEAPI', profiles.LaggingProfileEAPI), ('LaggingStable', imlate.LaggingStable), ('MaintainerWithoutProxy', metadata_xml.MaintainerWithoutProxy), ('MatchingGlobalUSE', metadata.MatchingGlobalUSE), ('MetadataError', base.MetadataError), ('MismatchedPN', pkgdir.MismatchedPN), ('MissingAccountIdentifier', acct.MissingAccountIdentifier), ('MissingChksum', repo_metadata.MissingChksum), ('MissingConditionalTestRestrict', metadata.MissingConditionalTestRestrict), ('MissingLicense', metadata.MissingLicense), ('MissingManifest', repo_metadata.MissingManifest), ('MissingPackageRevision', metadata.MissingPackageRevision), ('MissingPythonEclass', python.MissingPythonEclass), ('MissingSlash', codingstyle.MissingSlash), ('MissingSlotDep', metadata.MissingSlotDep), ('MissingUnpackerDep', metadata.MissingUnpackerDep), ('MissingUri', metadata.MissingUri), ('MissingUseDepDefault', metadata.MissingUseDepDefault), ('MissingVirtualKeywords', metadata.MissingVirtualKeywords), ('MovedPackageUpdate', repo_metadata.MovedPackageUpdate), ('MultiMovePackageUpdate', repo_metadata.MultiMovePackageUpdate), ('NoFinalNewline', whitespace.NoFinalNewline), ('NonGentooAuthorsCopyright', codingstyle.NonGentooAuthorsCopyright), ('NonexistentBlocker', metadata.NonexistentBlocker), ('NonexistentDeps', visibility.NonexistentDeps), ('NonexistentProfilePath', profiles.NonexistentProfilePath), ('NonexistentProjectMaintainer', metadata_xml.NonexistentProjectMaintainer), ('NonsolvableDepsInDev', visibility.NonsolvableDepsInDev), ('NonsolvableDepsInExp', visibility.NonsolvableDepsInExp), ('NonsolvableDepsInStable', visibility.NonsolvableDepsInStable), ('ObsoleteUri', codingstyle.ObsoleteUri), ('OldGentooCopyright', codingstyle.OldGentooCopyright), ('OldMultiMovePackageUpdate', repo_metadata.OldMultiMovePackageUpdate), ('OldPackageUpdate', repo_metadata.OldPackageUpdate), ('OutdatedBlocker', metadata.OutdatedBlocker), ('OutdatedCopyright', git.OutdatedCopyright), ('OutsideRangeAccountIdentifier', acct.OutsideRangeAccountIdentifier), ('OverlappingKeywords', metadata.OverlappingKeywords), ('PkgBadlyFormedXml', metadata_xml.PkgBadlyFormedXml), ('PkgInvalidXml', metadata_xml.PkgInvalidXml), ('PkgMetadataXmlEmptyElement', metadata_xml.PkgMetadataXmlEmptyElement), ('PkgMetadataXmlIndentation', metadata_xml.PkgMetadataXmlIndentation), ('PkgMetadataXmlInvalidCatRef', metadata_xml.PkgMetadataXmlInvalidCatRef), ('PkgMetadataXmlInvalidPkgRef', metadata_xml.PkgMetadataXmlInvalidPkgRef), ('PkgMissingMetadataXml', metadata_xml.PkgMissingMetadataXml), ('PortageInternals', codingstyle.PortageInternals), ('PotentialGlobalUSE', repo_metadata.PotentialGlobalUSE), ('PotentialLocalUSE', repo_metadata.PotentialLocalUSE), ('PotentialStable', imlate.PotentialStable), ('ProbableGlobalUSE', metadata.ProbableGlobalUSE), ('ProbableUseExpand', metadata.ProbableUseExpand), ('ProfileError', profiles.ProfileError), ('ProfileWarning', profiles.ProfileWarning), ('PythonMissingDeps', python.PythonMissingDeps), ('PythonMissingRequiredUSE', python.PythonMissingRequiredUSE), ('PythonRuntimeDepInAnyR1', python.PythonRuntimeDepInAnyR1), ('PythonSingleUseMismatch', python.PythonSingleUseMismatch), ('RedundantVersion', cleanup.RedundantVersion), ('RequiredUseDefaults', metadata.RequiredUseDefaults), ('SizeViolation', pkgdir.SizeViolation), ('StableRequest', stablereq.StableRequest), ('StaleProxyMaintProject', metadata_xml.StaleProxyMaintProject), ('StupidKeywords', metadata.StupidKeywords), ('TarballAvailable', metadata.TarballAvailable), ('TrailingEmptyLine', whitespace.TrailingEmptyLine), ('UncheckableDep', visibility.UncheckableDep), ('UnderscoreInUseFlag', metadata.UnderscoreInUseFlag), ('UnknownCategories', profiles.UnknownCategories), ('UnknownFile', pkgdir.UnknownFile), ('UnknownLicenses', repo_metadata.UnknownLicenses), ('UnknownManifest', repo_metadata.UnknownManifest), ('UnknownMirror', metadata.UnknownMirror), ('UnknownProfilePackageKeywords', profiles.UnknownProfilePackageKeywords), ('UnknownProfilePackageUse', profiles.UnknownProfilePackageUse), ('UnknownProfilePackages', profiles.UnknownProfilePackages), ('UnknownProfileUse', profiles.UnknownProfileUse), ('UnknownProperties', metadata.UnknownProperties), ('UnnecessaryLicense', metadata.UnnecessaryLicense), ('UnnecessaryManifest', repo_metadata.UnnecessaryManifest), ('UnnecessarySlashStrip', codingstyle.UnnecessarySlashStrip), ('UnsortedKeywords', metadata.UnsortedKeywords), ('UnstableOnly', unstable_only.UnstableOnly), ('UnstatedIUSE', addons.UnstatedIUSE), ('UnusedEclasses', repo_metadata.UnusedEclasses), ('UnusedGlobalUSE', repo_metadata.UnusedGlobalUSE), ('UnusedInMastersEclasses', overlays.UnusedInMastersEclasses), ('UnusedInMastersGlobalUSE', overlays.UnusedInMastersGlobalUSE), ('UnusedInMastersLicenses', overlays.UnusedInMastersLicenses), ('UnusedInMastersMirrors', overlays.UnusedInMastersMirrors), ('UnusedLicenses', repo_metadata.UnusedLicenses), ('UnusedLocalUSE', metadata.UnusedLocalUSE), ('UnusedMirrors', repo_metadata.UnusedMirrors), ('UnusedProfileDirs', profiles.UnusedProfileDirs), ('VisibleVcsPkg', visibility.VisibleVcsPkg), ('VulnerablePackage', glsa.VulnerablePackage), ('WhitespaceFound', whitespace.WhitespaceFound), ('WrongIndentFound', whitespace.WrongIndentFound), ('WrongMaintainerType', metadata_xml.WrongMaintainerType))
CHECKS = (('AbsoluteSymlinkCheck', codingstyle.AbsoluteSymlinkCheck), ('AcctCheck', acct.AcctCheck), ('BadInsIntoCheck', codingstyle.BadInsIntoCheck), ('CategoryMetadataXmlCheck', metadata_xml.CategoryMetadataXmlCheck), ('ConditionalTestRestrictCheck', metadata.ConditionalTestRestrictCheck), ('CopyrightCheck', codingstyle.CopyrightCheck), ('DependencyCheck', metadata.DependencyCheck), ('DeprecatedEclassCheck', deprecated.DeprecatedEclassCheck), ('DescriptionCheck', metadata.DescriptionCheck), ('DroppedKeywordsCheck', dropped_keywords.DroppedKeywordsCheck), ('EqualVersionsCheck', pkgdir.EqualVersionsCheck), ('GitCommitsCheck', git.GitCommitsCheck), ('GlobalUSECheck', repo_metadata.GlobalUSECheck), ('HomepageCheck', metadata.HomepageCheck), ('HomepageInSrcUriCheck', codingstyle.HomepageInSrcUriCheck), ('HttpsAvailableCheck', codingstyle.HttpsAvailableCheck), ('IUSEMetadataCheck', metadata.IUSEMetadataCheck), ('ImlateCheck', imlate.ImlateCheck), ('KeywordsCheck', metadata.KeywordsCheck), ('LicenseGroupsCheck', repo_metadata.LicenseGroupsCheck), ('LicenseMetadataCheck', metadata.LicenseMetadataCheck), ('LocalUSECheck', metadata.LocalUSECheck), ('ManifestCheck', repo_metadata.ManifestCheck), ('ManifestConflictCheck', repo_metadata.ManifestConflictCheck), ('MetadataCheck', metadata.MetadataCheck), ('MissingSlotDepCheck', metadata.MissingSlotDepCheck), ('MissingUnpackerDepCheck', metadata.MissingUnpackerDepCheck), ('ObsoleteUriCheck', codingstyle.ObsoleteUriCheck), ('PackageMetadataXmlCheck', metadata_xml.PackageMetadataXmlCheck), ('PackageUpdatesCheck', repo_metadata.PackageUpdatesCheck), ('PathVariablesCheck', codingstyle.PathVariablesCheck), ('PkgDirCheck', pkgdir.PkgDirCheck), ('PortageInternalsCheck', codingstyle.PortageInternalsCheck), ('ProfilesCheck', profiles.ProfilesCheck), ('PythonCheck', python.PythonCheck), ('RedundantVersionCheck', cleanup.RedundantVersionCheck), ('RepoDirCheck', repo.RepoDirCheck), ('RepoProfilesCheck', profiles.RepoProfilesCheck), ('RequiredUSEMetadataCheck', metadata.RequiredUSEMetadataCheck), ('RestrictsCheck', metadata.RestrictsCheck), ('SrcUriCheck', metadata.SrcUriCheck), ('StableRequestCheck', stablereq.StableRequestCheck), ('TreeVulnerabilitiesCheck', glsa.TreeVulnerabilitiesCheck), ('UnstableOnlyCheck', unstable_only.UnstableOnlyCheck), ('UnusedEclassesCheck', repo_metadata.UnusedEclassesCheck), ('UnusedInMastersCheck', overlays.UnusedInMastersCheck), ('UnusedLicensesCheck', repo_metadata.UnusedLicensesCheck), ('UnusedMirrorsCheck', repo_metadata.UnusedMirrorsCheck), ('VisibilityCheck', visibility.VisibilityCheck), ('WhitespaceCheck', whitespace.WhitespaceCheck))
TRANSFORMS = (('CategoryToRepo', feeds.CategoryToRepo), ('EbuildToVersion', feeds.EbuildToVersion), ('PackageToCategory', feeds.PackageToCategory), ('PackageToRepo', feeds.PackageToRepo), ('RawVersionToCategory', feeds.RawVersionToCategory), ('RawVersionToRawPackage', feeds.RawVersionToRawPackage), ('VersionToCategory', feeds.VersionToCategory), ('VersionToEbuild', feeds.VersionToEbuild), ('VersionToPackage', feeds.VersionToPackage))
REPORTERS = (('BinaryPickleStream', reporters.BinaryPickleStream), ('CsvReporter', reporters.CsvReporter), ('FancyReporter', reporters.FancyReporter), ('FormatReporter', reporters.FormatReporter), ('JsonReporter', reporters.JsonReporter), ('JsonStream', reporters.JsonStream), ('NullReporter', reporters.NullReporter), ('PickleStream', reporters.PickleStream), ('StrReporter', reporters.StrReporter), ('XmlReporter', reporters.XmlReporter))
